/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package data;

/**
 *
 * @author Tom
 */
public class MIDIMelodicInstrument {
    private int instrument_from = -1; //ID der unteren Schranke der Instrumentengruppe
    private int instrument_to = -1; //ID der oberen Schranke der Instrumentengruppe
    private boolean melody = false; //Instrument kann Melodie spielen (zB.: Piano, Guitar, Pipe, ...)
    private boolean harmony = false; //Instrument kann Chorde spielen (zB.: Organ, Esemble, ...)
    private boolean randomBeat = false; //Instrument spielt nur zufaellige Toene (zB.: Soundeffects, Syntheffects)

    public MIDIMelodicInstrument() {
    }

    public MIDIMelodicInstrument(int instrument_from, int instrument_to, boolean melody, boolean harmony, boolean randomBeat) {
        this.instrument_from = instrument_from;
        this.instrument_to = instrument_to;
        this.melody = melody;
        this.harmony = harmony;
        this.randomBeat = randomBeat;
    }

    public int getInstrument_from() {
        return instrument_from;
    }

    public void setInstrument_from(int instrument_from) {
        this.instrument_from = instrument_from;
    }

    public int getInstrument_to() {
        return instrument_to;
    }

    public void setInstrument_to(int instrument_to) {
        this.instrument_to = instrument_to;
    }
    
    public boolean isMelody() {
        return melody;
    }

    public void setMelody(boolean melody) {
        this.melody = melody;
    }

    public boolean isHarmony() {
        return harmony;
    }

    public void setHarmony(boolean harmony) {
        this.harmony = harmony;
    }

    public boolean isRandomBeat() {
        return randomBeat;
    }

    public void setRandomBeat(boolean randomBeat) {
        this.randomBeat = randomBeat;
    }
}
